package com.audcheck.rpl;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = true;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "com.audcheck.rpl", "com.audcheck.rpl.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "com.audcheck.rpl", "com.audcheck.rpl.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "com.audcheck.rpl.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static int _icount = 0;
public anywheresoftware.b4a.objects.SocketWrapper _socket1 = null;
public anywheresoftware.b4a.randomaccessfile.AsyncStreams _astream = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _pview = null;
public anywheresoftware.b4a.objects.Timer _x = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imageview1 = null;
public anywheresoftware.b4a.objects.WebViewWrapper _webview1 = null;
public anywheresoftware.b4a.objects.PanelWrapper _panel1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button1 = null;
public anywheresoftware.b4a.randomaccessfile.AsyncStreams _astreams = null;
public anywheresoftware.b4a.objects.SocketWrapper.ServerSocketWrapper _server = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext1 = null;
public anywheresoftware.b4a.objects.WebViewWrapper _tmpwv = null;
public static String _theurl = "";
public anywheresoftware.b4a.samples.httputils2.httpjob _globalhttp = null;
public static String _globalresult = "";
public static double _globallatestdate = 0;
public anywheresoftware.b4a.objects.Timer _globalhtmlresult = null;
public anywheresoftware.b4a.objects.SocketWrapper _s = null;
public anywheresoftware.b4a.objects.Timer _t = null;
public anywheresoftware.b4a.objects.StringUtils _su = null;
public static boolean _ispro = false;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _radiobutton1 = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _radiobutton2 = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _radiobutton3 = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _radiobutton4 = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _radiobutton5 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label6 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button2 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button3 = null;
public anywheresoftware.b4a.objects.PanelWrapper _panel2 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button4 = null;
public anywheresoftware.b4a.samples.httputils2.httputils2service _httputils2service = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _activity_actionbarhomeclick() throws Exception{
 //BA.debugLineNum = 131;BA.debugLine="Sub Activity_ActionBarHomeClick";
 //BA.debugLineNum = 133;BA.debugLine="End Sub";
return "";
}
public static String  _activity_click() throws Exception{
 //BA.debugLineNum = 134;BA.debugLine="Sub Activity_Click";
 //BA.debugLineNum = 136;BA.debugLine="End Sub";
return "";
}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 80;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 81;BA.debugLine="isPRo=True";
_ispro = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 82;BA.debugLine="If isPRo=True Then icount=1 Else icount=10";
if (_ispro==anywheresoftware.b4a.keywords.Common.True) { 
_icount = (int) (1);}
else {
_icount = (int) (10);};
 //BA.debugLineNum = 84;BA.debugLine="Activity.Color=Colors.RGB(78,105,170)";
mostCurrent._activity.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (78),(int) (105),(int) (170)));
 //BA.debugLineNum = 85;BA.debugLine="ImageView1.Initialize(\"\")";
mostCurrent._imageview1.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 86;BA.debugLine="ImageView1.Visible=True";
mostCurrent._imageview1.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 87;BA.debugLine="Label6.Initialize(\"\")";
mostCurrent._label6.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 88;BA.debugLine="Label6.Enabled=False";
mostCurrent._label6.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 90;BA.debugLine="Activity.LoadLayout(\"aa1\")";
mostCurrent._activity.LoadLayout("aa1",mostCurrent.activityBA);
 //BA.debugLineNum = 91;BA.debugLine="x.Interval=2000";
mostCurrent._x.setInterval((long) (2000));
 //BA.debugLineNum = 93;BA.debugLine="If isPRo=True Then Label2.TEXT=\"Professional Unli";
if (_ispro==anywheresoftware.b4a.keywords.Common.True) { 
mostCurrent._label2.setText((Object)("Professional Unlimited Version with no Timers/Ads + Whois!!!"));};
 //BA.debugLineNum = 94;BA.debugLine="x.Initialize(\"EV\",3000)";
mostCurrent._x.Initialize(processBA,"EV",(long) (3000));
 //BA.debugLineNum = 95;BA.debugLine="Panel1.Initialize(\"EV\")";
mostCurrent._panel1.Initialize(mostCurrent.activityBA,"EV");
 //BA.debugLineNum = 96;BA.debugLine="If isPRo=True Then Label6.Visible=False";
if (_ispro==anywheresoftware.b4a.keywords.Common.True) { 
mostCurrent._label6.setVisible(anywheresoftware.b4a.keywords.Common.False);};
 //BA.debugLineNum = 98;BA.debugLine="x.Enabled=True";
mostCurrent._x.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 100;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
 //BA.debugLineNum = 147;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
 //BA.debugLineNum = 149;BA.debugLine="End Sub";
return false;
}
public static boolean  _activity_keyup(int _keycode) throws Exception{
 //BA.debugLineNum = 150;BA.debugLine="Sub Activity_KeyUp (KeyCode As Int) As Boolean";
 //BA.debugLineNum = 152;BA.debugLine="End Sub";
return false;
}
public static String  _activity_longclick() throws Exception{
 //BA.debugLineNum = 137;BA.debugLine="Sub Activity_LongClick";
 //BA.debugLineNum = 139;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 106;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 108;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 102;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 104;BA.debugLine="End Sub";
return "";
}
public static String  _activity_windowfocuschanged(boolean _focused) throws Exception{
 //BA.debugLineNum = 128;BA.debugLine="Sub Activity_WindowFocusChanged (Focused As Boolea";
 //BA.debugLineNum = 130;BA.debugLine="End Sub";
return "";
}
public static String  _astream_error() throws Exception{
 //BA.debugLineNum = 204;BA.debugLine="Sub AStream_Error";
 //BA.debugLineNum = 205;BA.debugLine="EditText2.Text=\"There seems to be a connectivity";
mostCurrent._edittext2.setText((Object)("There seems to be a connectivity problem with the registry, your connection and device. Please try again shortly."));
 //BA.debugLineNum = 207;BA.debugLine="End Sub";
return "";
}
public static String  _astream_newdata(byte[] _buffer) throws Exception{
String _str = "";
 //BA.debugLineNum = 198;BA.debugLine="Sub AStream_NewData (Buffer() As Byte)";
 //BA.debugLineNum = 199;BA.debugLine="Dim str As String = BytesToString(Buffer, 0, Bu";
_str = anywheresoftware.b4a.keywords.Common.BytesToString(_buffer,(int) (0),_buffer.length,"utf8");
 //BA.debugLineNum = 200;BA.debugLine="EditText2.Text=\"A listing of more than one doma";
mostCurrent._edittext2.setText((Object)("A listing of more than one domain typically means that more than one is registered, but if the one you searched for is not in this list, then it is Available. 'No Data Found' means the exact domain also is unregistered - Direct from the Registry:"+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (13)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (13)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)))+_str));
 //BA.debugLineNum = 202;BA.debugLine="End Sub";
return "";
}
public static String  _astream_terminated() throws Exception{
 //BA.debugLineNum = 209;BA.debugLine="Sub AStream_Terminated";
 //BA.debugLineNum = 210;BA.debugLine="Log(\"Disconneted\")";
anywheresoftware.b4a.keywords.Common.Log("Disconneted");
 //BA.debugLineNum = 212;BA.debugLine="End Sub";
return "";
}
public static String  _button1_click() throws Exception{
String _sa = "";
String _sresult = "";
String _old = "";
String _start = "";
anywheresoftware.b4a.phone.Phone _p = null;
boolean _dontdo = false;
String _new = "";
String _sallowed = "";
int _k = 0;
 //BA.debugLineNum = 219;BA.debugLine="Sub Button1_Click";
 //BA.debugLineNum = 220;BA.debugLine="Button1.Enabled=False";
mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 221;BA.debugLine="Dim sa As String";
_sa = "";
 //BA.debugLineNum = 222;BA.debugLine="Dim sResult As String";
_sresult = "";
 //BA.debugLineNum = 223;BA.debugLine="Dim old As String";
_old = "";
 //BA.debugLineNum = 224;BA.debugLine="Dim start As String";
_start = "";
 //BA.debugLineNum = 225;BA.debugLine="Dim p As Phone";
_p = new anywheresoftware.b4a.phone.Phone();
 //BA.debugLineNum = 226;BA.debugLine="Dim dontdo As Boolean";
_dontdo = false;
 //BA.debugLineNum = 227;BA.debugLine="p.HideKeyboard(Activity)";
_p.HideKeyboard(mostCurrent._activity);
 //BA.debugLineNum = 228;BA.debugLine="EditText2.Text=\"Please hold...\"";
mostCurrent._edittext2.setText((Object)("Please hold..."));
 //BA.debugLineNum = 229;BA.debugLine="start=EditText1.text.ToLowerCase.Trim";
_start = mostCurrent._edittext1.getText().toLowerCase().trim();
 //BA.debugLineNum = 230;BA.debugLine="old=EditText1.text.ToLowerCase.Trim";
_old = mostCurrent._edittext1.getText().toLowerCase().trim();
 //BA.debugLineNum = 231;BA.debugLine="old=old.ToLowerCase";
_old = _old.toLowerCase();
 //BA.debugLineNum = 232;BA.debugLine="New=old";
_new = _old;
 //BA.debugLineNum = 233;BA.debugLine="If New.length<=2 Then";
if (_new.length()<=2) { 
 //BA.debugLineNum = 234;BA.debugLine="Msgbox(\"Please enter a long enough domain name\",\"";
anywheresoftware.b4a.keywords.Common.Msgbox("Please enter a long enough domain name","Retry",mostCurrent.activityBA);
 }else {
 //BA.debugLineNum = 237;BA.debugLine="Dim sAllowed As String";
_sallowed = "";
 //BA.debugLineNum = 238;BA.debugLine="sAllowed=\"abcdefghijklmnopqrstuvwxyz-\"";
_sallowed = "abcdefghijklmnopqrstuvwxyz-";
 //BA.debugLineNum = 239;BA.debugLine="Dim k As Int";
_k = 0;
 //BA.debugLineNum = 240;BA.debugLine="For k=0 To 255";
{
final int step162 = 1;
final int limit162 = (int) (255);
for (_k = (int) (0); (step162 > 0 && _k <= limit162) || (step162 < 0 && _k >= limit162); _k = ((int)(0 + _k + step162))) {
 //BA.debugLineNum = 241;BA.debugLine="If sAllowed.IndexOf(Chr(k))=-1 AND old.IndexOf(Ch";
if (_sallowed.indexOf(BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr(_k)))==-1 && _old.indexOf(BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr(_k)))>-1) { 
 //BA.debugLineNum = 242;BA.debugLine="Msgbox(\"You have entered an illegal character. Pl";
anywheresoftware.b4a.keywords.Common.Msgbox("You have entered an illegal character. Please try again","Retry",mostCurrent.activityBA);
 //BA.debugLineNum = 243;BA.debugLine="dontdo=True";
_dontdo = anywheresoftware.b4a.keywords.Common.True;
 };
 }
};
 //BA.debugLineNum = 247;BA.debugLine="If 	RadioButton1.Checked=False AND RadioButton2.C";
if (mostCurrent._radiobutton1.getChecked()==anywheresoftware.b4a.keywords.Common.False && mostCurrent._radiobutton2.getChecked()==anywheresoftware.b4a.keywords.Common.False && mostCurrent._radiobutton3.getChecked()==anywheresoftware.b4a.keywords.Common.False && mostCurrent._radiobutton4.getChecked()==anywheresoftware.b4a.keywords.Common.False && mostCurrent._radiobutton5.getChecked()==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 248;BA.debugLine="Msgbox(\"You need to select a TLD\",\"Retry\")";
anywheresoftware.b4a.keywords.Common.Msgbox("You need to select a TLD","Retry",mostCurrent.activityBA);
 //BA.debugLineNum = 250;BA.debugLine="dontdo=True";
_dontdo = anywheresoftware.b4a.keywords.Common.True;
 };
 //BA.debugLineNum = 254;BA.debugLine="If dontdo=False Then";
if (_dontdo==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 256;BA.debugLine="EditText1.Enabled=True";
mostCurrent._edittext1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 257;BA.debugLine="RadioButton1.Checked=False";
mostCurrent._radiobutton1.setChecked(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 258;BA.debugLine="RadioButton2.Checked=False";
mostCurrent._radiobutton2.setChecked(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 259;BA.debugLine="RadioButton3.Checked=False";
mostCurrent._radiobutton3.setChecked(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 260;BA.debugLine="RadioButton4.Checked=False";
mostCurrent._radiobutton4.setChecked(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 261;BA.debugLine="RadioButton5.Checked=False";
mostCurrent._radiobutton5.setChecked(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 262;BA.debugLine="RadioButton1.Checked=False";
mostCurrent._radiobutton1.setChecked(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 263;BA.debugLine="Button1.Enabled=False";
mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 264;BA.debugLine="EditText1.Enabled=False";
mostCurrent._edittext1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 265;BA.debugLine="RadioButton1.Enabled=False";
mostCurrent._radiobutton1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 266;BA.debugLine="RadioButton2.Enabled=False";
mostCurrent._radiobutton2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 267;BA.debugLine="RadioButton3.Enabled=False";
mostCurrent._radiobutton3.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 268;BA.debugLine="RadioButton4.Enabled=False";
mostCurrent._radiobutton4.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 269;BA.debugLine="RadioButton5.Enabled=False";
mostCurrent._radiobutton5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 270;BA.debugLine="If isPRo=False AND t.Enabled=False Then icount=10";
if (_ispro==anywheresoftware.b4a.keywords.Common.False && mostCurrent._t.getEnabled()==anywheresoftware.b4a.keywords.Common.False) { 
_icount = (int) (10);}
else {
_icount = (int) (0);};
 //BA.debugLineNum = 271;BA.debugLine="t.Initialize(\"TI\",1000)";
mostCurrent._t.Initialize(processBA,"TI",(long) (1000));
 //BA.debugLineNum = 272;BA.debugLine="Label6.Enabled=True";
mostCurrent._label6.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 273;BA.debugLine="Label6.Text=\"00:\" & icount";
mostCurrent._label6.setText((Object)("00:"+BA.NumberToString(_icount)));
 //BA.debugLineNum = 275;BA.debugLine="Socket1.Initialize(\"socket1\")";
mostCurrent._socket1.Initialize("socket1");
 //BA.debugLineNum = 276;BA.debugLine="If isPRo=True Then";
if (_ispro==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 278;BA.debugLine="Socket1.Connect(\"whois.ausregistry.net.au\",43,100";
mostCurrent._socket1.Connect(processBA,"whois.ausregistry.net.au",(int) (43),(int) (10000));
 };
 //BA.debugLineNum = 280;BA.debugLine="If isPRo=False Then";
if (_ispro==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 282;BA.debugLine="Socket1.Connect(\"whois-check.ausregistry.net.au\",";
mostCurrent._socket1.Connect(processBA,"whois-check.ausregistry.net.au",(int) (43),(int) (10000));
 };
 //BA.debugLineNum = 284;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 };
 };
 //BA.debugLineNum = 290;BA.debugLine="Button1.Enabled=True";
mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 291;BA.debugLine="t.Enabled=True";
mostCurrent._t.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 292;BA.debugLine="End Sub";
return "";
}
public static String  _button2_click() throws Exception{
 //BA.debugLineNum = 213;BA.debugLine="Sub button2_Click";
 //BA.debugLineNum = 215;BA.debugLine="Panel2.visible=False";
mostCurrent._panel2.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 217;BA.debugLine="End Sub";
return "";
}
public static String  _button3_click() throws Exception{
 //BA.debugLineNum = 326;BA.debugLine="Sub Button3_Click";
 //BA.debugLineNum = 327;BA.debugLine="Msgbox(\"Please go to the App Store and purchase t";
anywheresoftware.b4a.keywords.Common.Msgbox("Please go to the App Store and purchase the Pro version to see all whois data without timers.","Note",mostCurrent.activityBA);
 //BA.debugLineNum = 328;BA.debugLine="End Sub";
return "";
}
public static String  _button4_click() throws Exception{
 //BA.debugLineNum = 329;BA.debugLine="Sub Button4_Click";
 //BA.debugLineNum = 330;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 331;BA.debugLine="End Sub";
return "";
}
public static String  _edittext1_enterpressed() throws Exception{
 //BA.debugLineNum = 159;BA.debugLine="Sub EditText1_EnterPressed";
 //BA.debugLineNum = 160;BA.debugLine="Button1_Click";
_button1_click();
 //BA.debugLineNum = 161;BA.debugLine="End Sub";
return "";
}
public static String  _edittext1_focuschanged(boolean _hasfocus) throws Exception{
 //BA.debugLineNum = 162;BA.debugLine="Sub EditText1_FocusChanged (HasFocus As Boolean)";
 //BA.debugLineNum = 164;BA.debugLine="End Sub";
return "";
}
public static String  _edittext1_textchanged(String _old,String _new) throws Exception{
 //BA.debugLineNum = 155;BA.debugLine="Sub EditText1_TextChanged (Old As String, New As S";
 //BA.debugLineNum = 158;BA.debugLine="End Sub";
return "";
}
public static String  _ev() throws Exception{
 //BA.debugLineNum = 115;BA.debugLine="Sub EV()";
 //BA.debugLineNum = 117;BA.debugLine="End Sub";
return "";
}
public static String  _ev_tick() throws Exception{
 //BA.debugLineNum = 109;BA.debugLine="Sub EV_Tick()";
 //BA.debugLineNum = 110;BA.debugLine="x.Enabled=False";
mostCurrent._x.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 111;BA.debugLine="Panel1.Visible=False";
mostCurrent._panel1.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 112;BA.debugLine="Panel1.BringToFront";
mostCurrent._panel1.BringToFront();
 //BA.debugLineNum = 113;BA.debugLine="Panel1.SetVisibleAnimated(2000,True)";
mostCurrent._panel1.SetVisibleAnimated((int) (2000),anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 114;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        anywheresoftware.b4a.samples.httputils2.httputils2service._process_globals();
main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _globals() throws Exception{
 //BA.debugLineNum = 21;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 24;BA.debugLine="Dim icount As Int";
_icount = 0;
 //BA.debugLineNum = 25;BA.debugLine="Private Socket1 As Socket";
mostCurrent._socket1 = new anywheresoftware.b4a.objects.SocketWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Private astream As AsyncStreams";
mostCurrent._astream = new anywheresoftware.b4a.randomaccessfile.AsyncStreams();
 //BA.debugLineNum = 27;BA.debugLine="Private pview As ImageView";
mostCurrent._pview = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Private x As Timer";
mostCurrent._x = new anywheresoftware.b4a.objects.Timer();
 //BA.debugLineNum = 29;BA.debugLine="Private ImageView1 As ImageView";
mostCurrent._imageview1 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 30;BA.debugLine="Private WebView1 As WebView";
mostCurrent._webview1 = new anywheresoftware.b4a.objects.WebViewWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Private Panel1 As Panel";
mostCurrent._panel1 = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Private Button1 As Button";
mostCurrent._button1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 33;BA.debugLine="Dim AStreams As AsyncStreams";
mostCurrent._astreams = new anywheresoftware.b4a.randomaccessfile.AsyncStreams();
 //BA.debugLineNum = 34;BA.debugLine="Dim Server As ServerSocket";
mostCurrent._server = new anywheresoftware.b4a.objects.SocketWrapper.ServerSocketWrapper();
 //BA.debugLineNum = 35;BA.debugLine="Dim Socket1 As Socket";
mostCurrent._socket1 = new anywheresoftware.b4a.objects.SocketWrapper();
 //BA.debugLineNum = 36;BA.debugLine="Private EditText1 As EditText";
mostCurrent._edittext1 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 37;BA.debugLine="Dim tmpwv As WebView";
mostCurrent._tmpwv = new anywheresoftware.b4a.objects.WebViewWrapper();
 //BA.debugLineNum = 38;BA.debugLine="Dim theurl As String";
mostCurrent._theurl = "";
 //BA.debugLineNum = 39;BA.debugLine="Private GlobalHTTP As HttpJob";
mostCurrent._globalhttp = new anywheresoftware.b4a.samples.httputils2.httpjob();
 //BA.debugLineNum = 40;BA.debugLine="Private GlobalResult As String";
mostCurrent._globalresult = "";
 //BA.debugLineNum = 41;BA.debugLine="Private GlobalLatestDate As Double";
_globallatestdate = 0;
 //BA.debugLineNum = 42;BA.debugLine="Private GlobalHTMLResult As Timer";
mostCurrent._globalhtmlresult = new anywheresoftware.b4a.objects.Timer();
 //BA.debugLineNum = 43;BA.debugLine="Dim s As Socket";
mostCurrent._s = new anywheresoftware.b4a.objects.SocketWrapper();
 //BA.debugLineNum = 45;BA.debugLine="Dim t As Timer";
mostCurrent._t = new anywheresoftware.b4a.objects.Timer();
 //BA.debugLineNum = 48;BA.debugLine="Dim su As StringUtils";
mostCurrent._su = new anywheresoftware.b4a.objects.StringUtils();
 //BA.debugLineNum = 49;BA.debugLine="Dim isPRo As Boolean";
_ispro = false;
 //BA.debugLineNum = 51;BA.debugLine="Private RadioButton1 As RadioButton";
mostCurrent._radiobutton1 = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 52;BA.debugLine="Private RadioButton2 As RadioButton";
mostCurrent._radiobutton2 = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 53;BA.debugLine="Private RadioButton3 As RadioButton";
mostCurrent._radiobutton3 = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 54;BA.debugLine="Private RadioButton4 As RadioButton";
mostCurrent._radiobutton4 = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 55;BA.debugLine="Private RadioButton5 As RadioButton";
mostCurrent._radiobutton5 = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 56;BA.debugLine="Private Label6 As Label";
mostCurrent._label6 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 57;BA.debugLine="Private Button2 As Button";
mostCurrent._button2 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 58;BA.debugLine="Private Label2 As Label";
mostCurrent._label2 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 59;BA.debugLine="Private Button3 As Button";
mostCurrent._button3 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 60;BA.debugLine="Private Panel2 As Panel";
mostCurrent._panel2 = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 61;BA.debugLine="Private EditText2 As EditText";
mostCurrent._edittext2 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 62;BA.debugLine="Private Button4 As Button";
mostCurrent._button4 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 64;BA.debugLine="End Sub";
return "";
}
public static String  _imageview1_click() throws Exception{
 //BA.debugLineNum = 140;BA.debugLine="Sub ImageView1_Click";
 //BA.debugLineNum = 142;BA.debugLine="End Sub";
return "";
}
public static String  _imageview1_longclick() throws Exception{
 //BA.debugLineNum = 143;BA.debugLine="Sub ImageView1_LongClick";
 //BA.debugLineNum = 145;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 65;BA.debugLine="Sub process_globals()";
 //BA.debugLineNum = 66;BA.debugLine="End Sub";
return "";
}
public static String  _server_newconnection(boolean _successful,anywheresoftware.b4a.objects.SocketWrapper _newsocket) throws Exception{
 //BA.debugLineNum = 67;BA.debugLine="Sub Server_NewConnection (Successful As Boolean, N";
 //BA.debugLineNum = 68;BA.debugLine="If Successful Then";
if (_successful) { 
 //BA.debugLineNum = 69;BA.debugLine="ToastMessageShow(\"Connected\", False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Connected",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 70;BA.debugLine="Socket1 = NewSocket";
mostCurrent._socket1 = _newsocket;
 //BA.debugLineNum = 71;BA.debugLine="AStreams.InitializePrefix(Socket1.InputStr";
mostCurrent._astreams.InitializePrefix(processBA,mostCurrent._socket1.getInputStream(),anywheresoftware.b4a.keywords.Common.False,mostCurrent._socket1.getOutputStream(),"AStreams");
 }else {
 //BA.debugLineNum = 73;BA.debugLine="EditText2.Text=\"There seems to be a conne";
mostCurrent._edittext2.setText((Object)("There seems to be a connectivity problem with the registry, your connection and device. Please try again shortly."));
 };
 //BA.debugLineNum = 76;BA.debugLine="Server.Listen";
mostCurrent._server.Listen();
 //BA.debugLineNum = 77;BA.debugLine="End Sub";
return "";
}
public static String  _socket1_connected(boolean _successful) throws Exception{
String _stt = "";
String _soption = "";
 //BA.debugLineNum = 165;BA.debugLine="Sub Socket1_Connected (Successful As Boolean)";
 //BA.debugLineNum = 166;BA.debugLine="If Successful Then";
if (_successful) { 
 //BA.debugLineNum = 168;BA.debugLine="Log(\"Connected!\")";
anywheresoftware.b4a.keywords.Common.Log("Connected!");
 //BA.debugLineNum = 169;BA.debugLine="astream.Initialize(Socket1.InputStream, Socke";
mostCurrent._astream.Initialize(processBA,mostCurrent._socket1.getInputStream(),mostCurrent._socket1.getOutputStream(),"astream");
 //BA.debugLineNum = 170;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 171;BA.debugLine="Dim stt As String";
_stt = "";
 //BA.debugLineNum = 172;BA.debugLine="Dim sOption As String";
_soption = "";
 //BA.debugLineNum = 173;BA.debugLine="If RadioButton1.Checked=True Then sOption=\".com.";
if (mostCurrent._radiobutton1.getChecked()==anywheresoftware.b4a.keywords.Common.True) { 
_soption = ".com.au";};
 //BA.debugLineNum = 174;BA.debugLine="If RadioButton2.Checked=True Then sOption=\".net.";
if (mostCurrent._radiobutton2.getChecked()==anywheresoftware.b4a.keywords.Common.True) { 
_soption = ".net.au";};
 //BA.debugLineNum = 175;BA.debugLine="If RadioButton3.Checked=True Then sOption=\".or";
if (mostCurrent._radiobutton3.getChecked()==anywheresoftware.b4a.keywords.Common.True) { 
_soption = ".org.au";};
 //BA.debugLineNum = 176;BA.debugLine="If RadioButton4.Checked=True Then sOption=\".i";
if (mostCurrent._radiobutton4.getChecked()==anywheresoftware.b4a.keywords.Common.True) { 
_soption = ".id.au";};
 //BA.debugLineNum = 177;BA.debugLine="If RadioButton5.Checked=True Then sOption=\".";
if (mostCurrent._radiobutton5.getChecked()==anywheresoftware.b4a.keywords.Common.True) { 
_soption = ".asn.au";};
 //BA.debugLineNum = 179;BA.debugLine="Dim stt As String";
_stt = "";
 //BA.debugLineNum = 180;BA.debugLine="stt=  EditText1.Text & sOption & Chr(13) & Chr(1";
_stt = mostCurrent._edittext1.getText()+_soption+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (13)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)));
 //BA.debugLineNum = 182;BA.debugLine="Do Until astream.IsInitialized=True";
while (!(mostCurrent._astream.IsInitialized()==anywheresoftware.b4a.keywords.Common.True)) {
 //BA.debugLineNum = 183;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 }
;
 //BA.debugLineNum = 185;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 190;BA.debugLine="astream.Write(stt.GetBytes(\"utf8\"))";
mostCurrent._astream.Write(_stt.getBytes("utf8"));
 }else {
 //BA.debugLineNum = 193;BA.debugLine="EditText2.Text=\"There seems to be a connecti";
mostCurrent._edittext2.setText((Object)("There seems to be a connectivity problem with the registry, your connection and device. Please try again shortly."));
 };
 //BA.debugLineNum = 196;BA.debugLine="End Sub";
return "";
}
public static String  _ti_tick() throws Exception{
 //BA.debugLineNum = 295;BA.debugLine="Sub TI_Tick()";
 //BA.debugLineNum = 297;BA.debugLine="icount=icount-1";
_icount = (int) (_icount-1);
 //BA.debugLineNum = 299;BA.debugLine="If icount=-1 Then";
if (_icount==-1) { 
 //BA.debugLineNum = 300;BA.debugLine="t.Enabled=False";
mostCurrent._t.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 301;BA.debugLine="Label6.text=\"00:10\"";
mostCurrent._label6.setText((Object)("00:10"));
 //BA.debugLineNum = 302;BA.debugLine="Label6.Enabled=False";
mostCurrent._label6.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 303;BA.debugLine="Button1.Enabled=True";
mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 304;BA.debugLine="EditText1.Enabled=True";
mostCurrent._edittext1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 305;BA.debugLine="RadioButton1.Enabled=True";
mostCurrent._radiobutton1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 306;BA.debugLine="RadioButton2.Enabled=True";
mostCurrent._radiobutton2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 307;BA.debugLine="RadioButton3.Enabled=True";
mostCurrent._radiobutton3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 308;BA.debugLine="RadioButton4.Enabled=True";
mostCurrent._radiobutton4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 309;BA.debugLine="RadioButton5.Enabled=True";
mostCurrent._radiobutton5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 310;BA.debugLine="If isPRo=False Then Button3.Visible=True Else Butt";
if (_ispro==anywheresoftware.b4a.keywords.Common.False) { 
mostCurrent._button3.setVisible(anywheresoftware.b4a.keywords.Common.True);}
else {
mostCurrent._button3.setVisible(anywheresoftware.b4a.keywords.Common.False);};
 //BA.debugLineNum = 311;BA.debugLine="Panel2.Visible=True";
mostCurrent._panel2.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 312;BA.debugLine="Panel2.BringToFront";
mostCurrent._panel2.BringToFront();
 }else {
 //BA.debugLineNum = 319;BA.debugLine="t.Enabled=True";
mostCurrent._t.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 321;BA.debugLine="If icount<10 Then Label6.text=\"00:0\" & icount Else";
if (_icount<10) { 
mostCurrent._label6.setText((Object)("00:0"+BA.NumberToString(_icount)));}
else {
mostCurrent._label6.setText((Object)("00:"+BA.NumberToString(_icount)));};
 };
 //BA.debugLineNum = 324;BA.debugLine="End Sub";
return "";
}
public static boolean  _webview1_overrideurl(String _url) throws Exception{
 //BA.debugLineNum = 122;BA.debugLine="Sub WebView1_OverrideUrl (Url As String) As Boolea";
 //BA.debugLineNum = 124;BA.debugLine="End Sub";
return false;
}
public static String  _webview1_pagefinished(String _url) throws Exception{
 //BA.debugLineNum = 119;BA.debugLine="Sub WebView1_PageFinished (Url As String)";
 //BA.debugLineNum = 121;BA.debugLine="End Sub";
return "";
}
public static String[]  _webview1_userandpasswordrequired(String _host,String _realm) throws Exception{
 //BA.debugLineNum = 125;BA.debugLine="Sub WebView1_UserAndPasswordRequired (Host As Stri";
 //BA.debugLineNum = 127;BA.debugLine="End Sub";
return null;
}
}
